A valid request URL is required to generate request examples{
"content_key": "site.cf637646-71a4-430d-aaea-a66f1a48a83c",
"has_entitlement": true,
"expires": "2023-11-07T05:31:56Z",
"recurs_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid authentication credentials",
"code": "invalid_credentials"
}
}{
"error": {
"message": "The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden",
"code": "client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"
}
}{
"error": [
{
"code": "validation_error",
"message": "Validation Error",
"errors": [
{
"attribute": "query -> subject",
"code": "missing",
"message": "field required"
}
]
}
]
}Retrieve entitlement status
Retrieves the entitlement status for the given content key.
A valid request URL is required to generate request examples{
"content_key": "site.cf637646-71a4-430d-aaea-a66f1a48a83c",
"has_entitlement": true,
"expires": "2023-11-07T05:31:56Z",
"recurs_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid authentication credentials",
"code": "invalid_credentials"
}
}{
"error": {
"message": "The Bearer token does not match the x-supertab-client-id header | Missing or invalid x-supertab-client-id | Invalid subject type {request_subject_type} found, {expected_token_type} expected | Forbidden",
"code": "client_id_mismatch | missing_or_invalid_x_supertab_client_id | invalid_subject_type | forbidden"
}
}{
"error": [
{
"code": "validation_error",
"message": "Validation Error",
"errors": [
{
"attribute": "query -> subject",
"code": "missing",
"message": "field required"
}
]
}
]
}Required Scopes
capi:read - Read access to Customer API resourcesAuthorizations
Supertab OAuth2 flow for CAPI. See Authentication.
- Authorization URL
- https://auth.supertab.co/oauth2/auth
- Token URL
- https://auth.supertab.co/oauth2/token
Headers
The version of the Customer API you are using.
Your Client ID with Supertab. Used to identify the website on which Customer is making a Purchase.
"live_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9"
"test_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9"
Path Parameters
The content_key to check access for
"site.cf637646-71a4-430d-aaea-a66f1a48a83c"
Response
Successful Response
A customer's entitlement status to a given content_key
The content_key being checked
"site.cf637646-71a4-430d-aaea-a66f1a48a83c"
If the customer has access to this content
When the customer's access will expire
If this access is a result of a subscription, the time the subscription will renew unless cancelled by the customer.
Was this page helpful?